<?php

/**
 * Revolution Lightbox PACKAGED v2.0
 * FWDRLData - used to store the lightbox data.
 *
 * @author Tibi - FWDesign [https://webdesign-flash.ro/]
 * Copyright © 2006 All Rights Reserved.
 */

class FWDRLData {
	
	public $settings_ar;
    public $main_playlists_ar;
	

    // Contructor.
    public function init(){
		$cur_data = get_option('fwdrl_data');
		
		// Uncomment this to reset presets!
		//$this->reset_presets();

		// Uncomment this to reset galleries!
		//$this->reset_playlists();
	       
	    if (!$cur_data){
	    	$this->init_settings();
	    	$this->set_data();
	    }

		$this->set_updates();
		$this->get_data();
    }
	
	private function reset_presets(){
		$this->get_data();
		$this->init_settings();
	    $this->set_data();
	}

	private function reset_playlists(){
		$this->get_data();
		$this->main_playlists_ar = array();
	    $this->set_data();
	}

	// Set updates.
	private function set_updates(){
		
		$this->get_data();
		
	
   		foreach ($this->settings_ar as &$preset){	
   			if(!array_key_exists("showAudioTracksButton", $preset)){
	    		$preset["showAudioTracksButton"] = true;
			}

			if(!array_key_exists("show360DegreeVideoVrButton", $preset)){
	    		$preset["show360DegreeVideoVrButton"] = false;
			}

			
			if(!array_key_exists("rotationY360DegreeVideo", $preset)){
	    		$preset["rotationY360DegreeVideo"] = -90;
			}
   		}

   		$this->set_data();
   	}
    
    // Data arrays.
    private function init_settings(){
    	$this->settings_ar = array(
			array(	
				
				// Main settings.
				'mediaSelector'								=>'.fwdrel',
				'rightClickContextMenu' 					=> 'developer',
				'useDeepLinking' 							=> true,
				'useVectorIcons' 							=> false,
				'showAudioTracksButton'						=> true,
				'show360DegreeVideoVrButton'				=> true,
				'rotationY360DegreeVideo'					=> -90,
				'buttonsAlignment' 							=> 'in',
				'mediaLazyLoading' 							=> true,
				'useDrag' 									=> true,
				'useAsModal' 								=> false,
				'showSlideShowButton' 						=> true,
				'showSlideShowAnimation' 					=> true,
				'slideShowAutoPlay' 						=> false,
				'slideShowAutoStop' 						=> true,
				'slideShowDelay' 							=> 6,
				'slideShowBkColor'							=> '#2e2e2e',
				'slideShowFillColor' 						=> '#FFFFFF',
				'useKeyboard' 								=> true,
				'useDoubleClick' 							=> true,
				'showCloseButton' 							=> true,
				'showFullscreenButton' 						=> true,
				'showZoomButton' 							=> true,
				'showCounter' 								=> true,
				'showNextAndPrevBtns' 						=> true,
				'hideButtonsOnDrag' 						=> true,
				'maxZoom' 									=> 1,
				'buttonsHideDelay' 							=> 5,
				'defaultItemWidth' 							=> 1527,
				'defaultItemHeight' 						=> 859,
				'itemOffsetHeight' 							=> 37,
				'itemOffsetHeightButtonsTop' 				=> 47,
				'spaceBetweenBtns' 							=> 8,
				'buttonsOffsetIn' 			    			=> 10,
				'buttonsOffsetOut' 							=> 10,
				'itemBorderSize' 							=> 0,
				'itemBackgroundColor' 						=> '#212121',
				'itemBorderColor' 							=> '#FFFFFF',
				'preloaderBkColor' 							=> '2e2e2e',
				'preloaderFillColor'						=> '#FFFFFF',
				'backgroundColor'							=> 'rgba(0,0,0,.99)',
				
				// Share window.
				'shareButtons' 								=> 'facebook, twitter, linkedin , tumblr, pinterest, reddit, buffer, digg, blogger',
				'shareText' 								=> 'Share on',
				'sharedURL' 								=> 'deeplink',
				'shareMainBackgroundColor' 					=> 'rgba(0,0,0,.4)',
				'shareBackgroundColor' 						=> '#FFFFFF',
				
				// Thumbnails.
				'showThumbnails' 							=> true,
				'showThumbnailsIcon' 						=> true,
				'thumbnailsHeight' 							=> 80,
				'thumbnailsOverlayColor' 					=> 'rgba(0,0,0,.4)',
				'thumbnailsBorderSize' 						=> 2,
				'thumbnailsBorderColor' 					=> '#FFFFFF',
				'spaceBetweenThumbnailsAndItem'				=> 10,
				'spaceBetweenThumbnails'					=> 5,

				// Caption.
				'caption' 									=> true,
				'captionPosition' 							=> 'bottomout',
				'showCaptionOnSmallScreens' 				=> false,
				'animateCaption' 							=> false,
				'captionAnimationType' 						=> 'motion',

				// Video & audio player.
				'useVideo' 									=> true,
				'fillEntireScreenWithPoster' 				=> true,
				'volume' 									=> 1,
				'videoAutoPlay' 							=> false,
				'nextVideoAutoPlay' 						=> false,
				'videoAutoPlayText' 						=> 'Click to unmute',
				'showLogo' 									=> false,
				'logoPath' 									=> '',
				'logoLink' 									=> '',
				'showControllerWhenVideoIsStopped' 			=> false,
				'showDefaultControllerForVimeo' 			=> true,
				'showScrubberWhenControllerIsHidden'		=> true,
				'showRewindButton'							=> true,
				'showVolumeButton'							=> true,
				'showTime'									=> true,
				'timeColor'									=> '#B9B9B9',
				'showChromecastButton'						=> true,
				'showPlaybackRateButton'					=> true,
				'showQualityButton'							=> true,
				'showFullScreenButton'						=> true,
				'showScrubberToolTipLabel'					=> true,
				'youtubeQualityButtonNormalColor'			=> '#B9B9B9',
				'youtubeQualityButtonSelectedColor'			=> '#FFFFFF',
				'scrubbersToolTipLabelBackgroundColor'		=> '#FFFFFF',
				'scrubbersToolTipLabelFontColor'			=> '#5a5a5a',
				'audioVisualizerLinesColor'					=> '#570AB8',
				'audioVisualizerCircleColor'				=> '#b9b9b9',
				'thumbnailsPreviewWidth'					=> 196,
				'thumbnailsPreviewBackgroundColor'			=> '#414141',
				'thumbnailsPreviewLabelBackgroundColor'		=> '#414141',
				'thumbnailsPreviewLabelFontColor'			=> '#CCCCCC',
				'skipToVideoText'							=> 'You can skip to video in: ',
				'skipToVideoButtonText'						=> 'Skip Ad'

			),
			array(	
				
				// Main settings.
				'mediaSelector'								=>'.fwdrel',
				'rightClickContextMenu' 					=> 'developer',
				'useDeepLinking' 							=> true,
				'useVectorIcons' 							=> false,
				'buttonsAlignment' 							=> 'in',
				'mediaLazyLoading' 							=> true,
				'useDrag' 									=> true,
				'useAsModal' 								=> false,
				'showSlideShowButton' 						=> true,
				'showSlideShowAnimation' 					=> true,
				'slideShowAutoPlay' 						=> false,
				'slideShowAutoStop' 						=> true,
				'slideShowDelay' 							=> 6,
				'slideShowBkColor'							=> '#2e2e2e',
				'slideShowFillColor' 						=> '#FFFFFF',
				'useKeyboard' 								=> true,
				'useDoubleClick' 							=> true,
				'showCloseButton' 							=> true,
				'showFullscreenButton' 						=> true,
				'showZoomButton' 							=> true,
				'showCounter' 								=> true,
				'showNextAndPrevBtns' 						=> true,
				'hideButtonsOnDrag' 						=> true,
				'maxZoom' 									=> 1,
				'buttonsHideDelay' 							=> 5,
				'defaultItemWidth' 							=> 1527,
				'defaultItemHeight' 						=> 859,
				'itemOffsetHeight' 							=> 37,
				'itemOffsetHeightButtonsTop' 				=> 47,
				'spaceBetweenBtns' 							=> 8,
				'buttonsOffsetIn' 			    			=> 10,
				'buttonsOffsetOut' 							=> 10,
				'itemBorderSize' 							=> 0,
				'itemBackgroundColor' 						=> '#212121',
				'itemBorderColor' 							=> '#FFFFFF',
				'preloaderBkColor' 							=> '2e2e2e',
				'preloaderFillColor'						=> '#FFFFFF',
				'backgroundColor'							=> 'rgba(0,0,0,.99)',
				
				// Share window.
				'shareButtons' 								=> 'facebook, twitter, linkedin , tumblr, pinterest, reddit, buffer, digg, blogger',
				'shareText' 								=> 'Share on',
				'sharedURL' 								=> 'deeplink',
				'shareMainBackgroundColor' 					=> 'rgba(0,0,0,.4)',
				'shareBackgroundColor' 						=> '#FFFFFF',
				
				// Thumbnails.
				'showThumbnails' 							=> true,
				'showThumbnailsIcon' 						=> true,
				'thumbnailsHeight' 							=> 80,
				'thumbnailsOverlayColor' 					=> 'rgba(0,0,0,.4)',
				'thumbnailsBorderSize' 						=> 2,
				'thumbnailsBorderColor' 					=> '#FFFFFF',
				'spaceBetweenThumbnailsAndItem'				=> 10,
				'spaceBetweenThumbnails'					=> 5,

				// Caption.
				'caption' 									=> true,
				'captionPosition' 							=> 'bottomout',
				'showCaptionOnSmallScreens' 				=> false,
				'animateCaption' 							=> false,
				'captionAnimationType' 						=> 'motion',

				// Video & audio player.
				'useVideo' 									=> true,
				'fillEntireScreenWithPoster' 				=> true,
				'volume' 									=> 1,
				'videoAutoPlay' 							=> false,
				'nextVideoAutoPlay' 						=> false,
				'videoAutoPlayText' 						=> 'Click to unmute',
				'showLogo' 									=> false,
				'logoPath' 									=> '',
				'logoLink' 									=> '',
				'showControllerWhenVideoIsStopped' 			=> false,
				'showDefaultControllerForVimeo' 			=> true,
				'showScrubberWhenControllerIsHidden'		=> true,
				'showRewindButton'							=> true,
				'showVolumeButton'							=> true,
				'showTime'									=> true,
				'timeColor'									=> '#B9B9B9',
				'showChromecastButton'						=> true,
				'showPlaybackRateButton'					=> true,
				'showQualityButton'							=> true,
				'showFullScreenButton'						=> true,
				'showScrubberToolTipLabel'					=> true,
				'youtubeQualityButtonNormalColor'			=> '#B9B9B9',
				'youtubeQualityButtonSelectedColor'			=> '#FFFFFF',
				'scrubbersToolTipLabelBackgroundColor'		=> '#FFFFFF',
				'scrubbersToolTipLabelFontColor'			=> '#5a5a5a',
				'audioVisualizerLinesColor'					=> '#570AB8',
				'audioVisualizerCircleColor'				=> '#b9b9b9',
				'thumbnailsPreviewWidth'					=> 196,
				'thumbnailsPreviewBackgroundColor'			=> '#414141',
				'thumbnailsPreviewLabelBackgroundColor'		=> '#414141',
				'thumbnailsPreviewLabelFontColor'			=> '#CCCCCC',
				'skipToVideoText'							=> 'You can skip to video in: ',
				'skipToVideoButtonText'						=> 'Skip Ad'

			)
		);
    }


    // Get data.
    public function get_data(){
	    $cur_data = get_option('fwdrl_data');
	       
	    $this->settings_ar = $cur_data->settings_ar;
	    $this->main_playlists_ar = $cur_data->main_playlists_ar;
    }
    

    // Set data.
    public function set_data(){
    	update_option('fwdrl_data', $this);
    }
}
?>