<div id="add-playlist-dialog" title="<?php esc_html_e('Add new gallery', 'fwdrl'); ?>">
	<p id="add_pl_tips">The name field is required.</p>
	
	<fieldset>
    	<label for="pl_name"><?php esc_html_e('Name:', 'fwdrl'); ?></label>
    	<input type="text" id="pl_name" class="text ui-widget-content ui-corner-all">
    	<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Please use unique names and do not use any spaces or special characters like (@#$%^&*()+), if you want to use multiple words separate them with "-", for example, my-gallery-one.', 'fwdrl'); ?>"/>
  	</fieldset>
</div>

<div id="edit-playlist-dialog" title="<?php esc_html_e('Edit gallery', 'fwdrl'); ?>">
	<p id="edit_pl_tips"><?php esc_html_e('The name field is required.', 'fwdrl'); ?></p>
	
	<fieldset>
    	<label for="pl_name_edit"><?php esc_html_e('Name:', 'fwdrl'); ?></label>
    	<input type="text" id="pl_name_edit" class="text ui-widget-content ui-corner-all">
    	<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Please use unique names and do not use any spaces or special characters like (@#$%^&*()+), if you want to use multiple words separate them with "-", for example, my-gallery-one.', 'fwdrl'); ?>"/>
  	</fieldset>
</div>

<div id="delete-playlist-dialog" title="<?php esc_html_e('Delete gallery', 'fwdrl'); ?>">
	<fieldset>
    	<label><?php esc_html_e('Are you sure you want to delete this gallery?', 'fwdrl'); ?></label>
  	</fieldset>
</div>

<div id="add-item-dialog" title="<?php esc_html_e('Add new item', 'fwdrl'); ?>">
	<p id="add_item_tips"><?php esc_html_e('The item name, source and fields are required.', 'fwdrl'); ?></p>
	
	<fieldset>
    	<label for="item_name"><?php esc_html_e('Item name:', 'fwdrl'); ?></label>
    	<br>
    	<input type="text" id="item_name" class="text ui-widget-content ui-corner-all">
		
		<br>
		<table>
			<tr>
				<td>
					<label for="item_source"><?php esc_html_e('Item source:', 'fwdrl'); ?></label>
					<input id="item_source" type="text" class="text ui-widget-content ui-corner-all">
					<button id="upload_item_source_button"><?php esc_html_e('Add item', 'fwdrl'); ?></button>
					<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Use the "add item" button to add the lightbox item from the media library or add the item URI/path manually, if you want to use HTML content add the element id as the source ex:#myContent.', 'fwdrl'); ?>"/>
				</td>
				<td>
					<img src="" id="thumb_source">
				</td>
			</tr>
		</table>

		    			
		<br>
		<div id="is_360_div">
			<label for="is_360"><?php esc_html_e('Is 360:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<select id="is_360" class="ui-corner-all">
							<option value="yes"><?php esc_html_e('yes', 'fwdrl'); ?></option>
							<option value="no"><?php esc_html_e('no', 'fwdrl'); ?></option>
						</select>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Add this to yes if you are using video and want the video to be 360 degree video, please note this option will not work for Youtube or Vimeo.', 'fwdrl'); ?>"/>
					</td>
				</tr>
			</table>
		</div>
		
		<br>
		<div id="upload_thumb_div">
			<label for="item_thumb"><?php esc_html_e('Thumbnail path:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="item_thumb" type="text" class="text ui-widget-content ui-corner-all">
						<button id="upload_thumb_button"><?php esc_html_e('Add image', 'fwdrl'); ?></button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Use the "add image" button to add the lightbox thumbnail from the media library or add the URI/path manually. Please save the thumbnails images(.jpg/.png) at the height specified in the lightbox settings, default is 80px. Leave this input blank if you don\'t want to use thumbnails.', 'fwdrl'); ?>"/>
					</td>
					<td>
						<img src="" id="upload_thumb">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="item_max_width_div">
			<label for="item_max_width"><?php esc_html_e('Item maximum width:', 'fwdrl'); ?></label>
			<div></div>
			<input id="item_max_width" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('This overrides the default item width from the lightbox settings, for example you might want a video item width set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).', 'fwdrl'); ?>"/>
		</div>
		
		<br>
		<div id="item_max_height_div">
			<label for="item_max_height"><?php esc_html_e('Item maximum height:', 'fwdrl'); ?></label>
			<div></div>
			<input id="item_max_height" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('This overrides the default item height from the lightbox settings, for example you might want a video item height set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).', 'fwdrl'); ?>"/>
		</div>
		
		<br>
		<div id="upload_video_poster_div">
			<label for="video_poster_source"><?php esc_html_e('Video poster path:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="video_poster_source" type="text" class="text ui-widget-content ui-corner-all">
						<button id="video_poster_upload_button"><?php esc_html_e('Add image', 'fwdrl'); ?></button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('This is a optional video poster(.jpg, .jpeg, .png) for the lightbox item if the item is a video.', 'fwdrl'); ?>"/>
					</td>
					<td>
						<img src="" id="video_poster_thumb">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_subtitle_div">
			<label for="videoSubtitle"><?php esc_html_e('Video subtitle:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="videoSubtitle" type="text" class="text ui-widget-content ui-corner-all">
						<button id="videoSubtitleButton"><?php esc_html_e('Add subtitle', 'fwdrl'); ?></button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Use the "add subtitle" button to add a subtitle/.srt file from the media library or add the subtitle .srt URI/path manually.', 'fwdrl'); ?>"/>
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_thumb_preview">
			<label for="videoThumbPreview"><?php esc_html_e('Video thumbnails preview:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="videoThumbPreview" type="text" class="text ui-widget-content ui-corner-all">
						<button id="videoThumbPreviewButton"><?php esc_html_e('Add .vtt file', 'fwdrl'); ?></button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Use the "add .vtt file" button to add a thumbnails preview/.vtt file from the media library or add a thumbnails preview .vtt URI/path manually. If you want to use automatic live thumbnails preview set this option to "auto", please note thumbnails live preview is not supported for Youtube or Vimeo.', 'fwdrl'); ?>"/>
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="vast_upload">
			<label for="vast"><?php esc_html_e('VAST/VMAP/IMA SDK:', 'fwdrl'); ?></label>
			<input id="vast" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Add here the VAST/VMAP/IMA SDK URI.', 'fwdrl'); ?>"/>
		</div>
		
		<div id="pass_upload">
			<label for="pass"><?php esc_html_e('Private video password:', 'fwdrl'); ?></label>
			<input id="pass" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('If this item is is a video you can add here a password if you want to make the video password.', 'fwdrl'); ?>"/>
		</div>

		<br><br>
		<div id="item_description">
			<label><?php esc_html_e('Item caption:', 'fwdrl'); ?></label>
			<?php
				$settings = array("media_buttons" => false, "wpautop" => true, "editor_class" => "fwd_editor_class", "tinymce" => false);
				wp_editor("", "itemdescription", $settings);
			?>
			<h4>Caption template:</h4>
			<p>&lt;p class='fwdrl-title'&gt;Item title&lt;/p&gt;&lt;p class='fwdrl-desc'&gt;Item Description&lt;/p&gt;</p>
		</div>
		
  	</fieldset>
</div>

<div id="edit-item-dialog" title="<?php esc_html_e('Edit item', 'fwdrl'); ?>">
	<p id="edit_item_tips"><?php esc_html_e('The item name, source path fields are required.', 'fwdrl'); ?></p>
	
	<fieldset>
    	<label for="item_name"><?php esc_html_e('Item name:', 'fwdrl'); ?></label>
    	<br>
    	<input type="text" id="item_name_edit" class="text ui-widget-content ui-corner-all">
		
		<br>
		<table>
			<tr>
				<td>
					<label for="item_source_edit"><?php esc_html_e('Item source:', 'fwdrl'); ?></label>
					<input id="item_source_edit" type="text" class="text ui-widget-content ui-corner-all">
					<button id="upload_item_button_edit"><?php esc_html_e('Add item', 'fwdrl'); ?></button>
					<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Use the "add item" button to add the lightbox item from the media library or add the item URI/path manually, if you want to use HTML content add the element id as the source ex:#myContent.', 'fwdrl'); ?>"/>
				</td>
				<td>
					<img src="" id="thumb_source_edit">
				</td>
			</tr>
		</table>

		<br>
		<div id="is_360_div_edit">
			<label for="is_360_edit"><?php esc_html_e('Is 360:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<select id="is_360_edit" class="ui-corner-all">
							<option value="yes"><?php esc_html_e('yes', 'fwdrl'); ?></option>
							<option value="no"><?php esc_html_e('no', 'fwdrl'); ?></option>
						</select>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Add this to yes if you are using video and want the video to be 360 degree video, please note this option will not work for Youtube or Vimeo.', 'fwdrl'); ?>"/>
					</td>
				</tr>
			</table>
		</div>
		
		<br>
		<div id="upload_thumb_div_edit">
			<label for="item_thumb_edit"><?php esc_html_e('Thumbnail path:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="item_thumb_edit" type="text" class="text ui-widget-content ui-corner-all">
						<button id="upload_thumb_button_edit"><?php esc_html_e('Add image', 'fwdrl'); ?></button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Use the "add image" button to add the lightbox thumbnail from the media library or add the URI/path manually. Please save the thumbnails images(.jpg/.png) at the height specified in the lightbox settings, default is 80px. Leave this input blank if you don\'t want to use thumbnails.', 'fwdrl'); ?>"/>
					</td>
					<td>
						<img src="" id="upload_thumb_edit">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="item_max_width_div_edit">
			<label for="item_max_width_edit"><?php esc_html_e('Item maximum width:', 'fwdrl'); ?></label>
			<div></div>
			<input id="item_max_width_edit" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('This overrides the default item width from the lightbox settings, for example you might want a video item width set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).', 'fwdrl'); ?>"/>
		</div>
		
		<br>
		<div id="item_max_height_div_edit">
			<label for="item_max_height_edit"><?php esc_html_e('Item maximum height:', 'fwdrl'); ?></label>
			<div></div>
			<input id="item_max_height_edit" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('This overrides the default item height from the lightbox settings, for example you might want a video item height set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).', 'fwdrl'); ?>"/>
		</div>
		
		<br>
		<div id="upload_video_poster_div_edit">
			<label for="video_poster_source_edit"><?php esc_html_e('Video poster path:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="video_poster_source_edit" type="text" class="text ui-widget-content ui-corner-all">
						<button id="video_poster_upload_button_edit"><?php esc_html_e('Add image', 'fwdrl'); ?></button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('This is a optional video poster(.jpg, .jpeg, .png) for the lightbox item if the item is a video.', 'fwdrl'); ?>"/>
					</td>
					<td>
						<img src="" id="video_poster_thumb_edit">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_subtitle_div_edit">
			<label for="videoSubtitleEdit"><?php esc_html_e('Video subtitle:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="videoSubtitleEdit" type="text" class="text ui-widget-content ui-corner-all">
						<button id="videoSubtitleEditButton">Add subtitle</button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="Use the 'add subtitle' button to add a subtitle/.srt file from the media library or add the subtitle .srt URI/path manually."/>
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_thumb_preview_edit">
			<label for="videoThumbPreviewEdit"><?php esc_html_e('Video thumbnails preview:', 'fwdrl'); ?></label>
			<table>
				<tr>
					<td>
						<input id="videoThumbPreviewEdit" type="text" class="text ui-widget-content ui-corner-all">
						<button id="videoThumbPreviewButtonEdit">Add .vtt file</button>
						<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Use the "add .vtt file" button to add a thumbnails preview/.vtt file from the media library or add a thumbnails preview .vtt URI/path manually. If you want to use automatic live thumbnails preview set this option to "auto", please note thumbnails live preview is not supported for Youtube or Vimeo.', 'fwdrl'); ?>"/>
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="vast_upload_edit">
			<label for="vastEdit"><?php esc_html_e('VAST/VMAP/IMA SDK:', 'fwdrl'); ?></label>
			<input id="vastEdit" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('Add here the VAST/VMAP/IMA SDK URI.', 'fwdrl'); ?>"/>
		</div>

		<div id="pass_upload_edit">
			<label for="passEdit"><?php esc_html_e('Private video password:', 'fwdrl'); ?></label>
			<input id="passEdit" type="text" class="text ui-widget-content ui-corner-all">
			<img class="img-tooltip" src="<?php echo esc_url($toolTipImgSrc); ?>" title="<?php esc_html_e('If this item is is a video you can add here a password if you want to make the video password.', 'fwdrl'); ?>"/>
		</div>
    	
		<br><br>
		<div id="Item_description">
			<label><?php esc_html_e('Item caption:', 'fwdrl'); ?></label>
			<?php
				$settings = array("media_buttons" => false, "wpautop" => true, "editor_class" => "fwd_editor_class", "tinymce" => false);
				wp_editor("", "itemdescriptionedit", $settings);
			?>
			<h4>Caption template:</h4>
			<p>&lt;p class='fwdrl-title'&gt;Item title&lt;/p&gt;&lt;p class='fwdrl-desc'&gt;Item Description&lt;/p&gt;</p>
		</div>
		
  	</fieldset>
</div>

<div id="delete-item-dialog" title="<?php esc_html_e('Delete item', 'fwdrl'); ?>">
	<fieldset>
    	<label><?php esc_html_e('Are you sure you want to delete this item?', 'fwdrl'); ?></label>
  	</fieldset>
</div>

<form class="fwdrl form" action="" method="post">
	<div class="form-holder ui-widget ui-widget-content ui-corner-all">
		<h3>All galleries:</h3>
	  	
		<div id="main_playlists">
			<?php 
				$playlists_str = "";
				
				if (isset($this->_data->main_playlists_ar)){
		    		foreach ($this->_data->main_playlists_ar as $pid => $playlist){
						$playlists_str .= '<div id="pl' . esc_html($playlist["id"]) . '" class="playlist playlist-count">';
						$playlists_str .= '<h3 class="playlist-header-sort playlist-header"><span>' . esc_html($playlist["name"]) . '</span></h3>';
						$playlists_str .= '<div>';
						$playlists_str .= '<div id="pl' . esc_html($playlist["id"]) . '_items" class="items">';
						foreach ($playlist["items"] as $tid => $items){
							if(strrpos($playlist["items"][$tid]["source"], ".jpg") !== false || strrpos($playlist["items"][$tid]["source"], ".jpeg") !== false || strrpos($playlist["items"][$tid]["source"], ".png") !== false){
								$playlists_str .= '<div id="pl' . esc_html($playlist["id"]) . '_item' . esc_html($tid) . '" class="fwd-item">';
								$playlists_str .= '<h3 class="item-header">' . esc_html($items["name"]) . '</h3>';
								$playlists_str .= '<button class="delete_item_btn" id="pl' . esc_html($playlist["id"]) . '_item' . esc_html($tid) . '_del_btn">' . esc_html__('Delete', 'fwdrl') . '</button>';
								$playlists_str .= '<button class="edit_item_btn" id="pl' . esc_html($playlist["id"]) .  '_item' . esc_html($tid) . '_edit_btn">' . esc_html__('Edit', 'fwdrl') . '</button>';
								$playlists_str .= '<img src="' . esc_html($playlist["items"][$tid]["source"]) . '" class="fwd-item-playlist-img" id="pl' . esc_html($playlist["id"]) . '_item' . esc_html($tid) . '_img"></img>';
								$playlists_str .= '</div>';
							}else{
								$playlists_str .= '<div id="pl' . esc_html($playlist["id"]) . '_item' . esc_html($tid) . '" class="fwd-item">';
								$playlists_str .= '<h3 class="item-header">' . esc_html($items["name"]) . '</h3>';
								$playlists_str .= '<button class="delete_item_btn" id="pl' . esc_html($playlist["id"]) . '_item' . esc_html($tid) . '_del_btn">' . esc_html__('Delete', 'fwdrl') . '</button>';
								$playlists_str .= '<button class="edit_item_btn" id="pl' . esc_html($playlist["id"]) . '_item' . esc_html($tid) . '_edit_btn">' . esc_html__('Edit', 'fwdrl') . '</button>';
								$playlists_str .= '</div>';
							}
						}
						
						$playlists_str .= '</div>';
						$playlists_str .= '<button class="add_item_btn" id="pl' . esc_html($playlist["id"]) . '_btn">' . esc_html__('Add new item', 'fwdrl') . '</button>';
						$playlists_str .= '<button class="add_bulk_btn" id="pl' . esc_html($playlist["id"]) . '_bulk_btn">' . esc_html__('Add bulk items', 'fwdrl') . '</button>';
						$playlists_str .= '<button class="edit_playlist_btn" id="pl' . esc_html($playlist["id"]) . '_edit_btn">' . esc_html__('Edit', 'fwdrl') . '</button>';
						$playlists_str .= '<button class="delete_playlist_btn" id="pl' . esc_html($playlist["id"]) . '_del_btn">' . esc_html__('Delete', 'fwdrl') . '</button>';
						$playlists_str .= '</div>';
						$playlists_str .= '</div>';
	    			}

					// Display and escape galleries.
			    	echo html_entity_decode(esc_html(htmlspecialchars($playlists_str)), ENT_QUOTES);
				}
			?>
		</div>
		
		<em id="mp_em"><?php esc_html_e('No galleries are available.', 'fwdrl'); ?></em>
		
		<button id="add_main_playlist_btn"><?php esc_html_e('Add new gallery', 'fwdrl'); ?></button>
  	</div>
  	
  	<input type="hidden" id="playlist_data" name="playlist_data" value="">
	<input id="update_btn" type="submit" name="submit" value="<?php esc_html_e('Update galleries', 'fwdrl'); ?>" />
	
	<?php wp_nonce_field("fwdrl_playlist_manager_update", "fwdrl_playlist_manager_nonce"); ?>
</form>

<?php if(!(empty($msg))): ?>
<div class='fwd-updated'>
	<p class="fwd-updated-p">
		<?php echo esc_html($msg); ?>
	</p>
</div>
<?php endif; ?>